LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Enumerations
UnicodeScript.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Enumerations
enum | UnicodeScript { kBasicLatin , kLatin1Supplement , kLatinExtendedA , kLatinExtendedB , kIPAExtension , kSpacingModifier , kCombiningDiacritical , kGreek , kCyrillic , kArmenian , kHebrew , kArabic , kSyriac , kThaana , kDevanagari , kBengali , kGurmukhi , kGujarati , kOriya , kTamil , kTelugu , kKannada , kMalayalam , kSinhala , kThai , kLao , kTibetan , kMyanmar , kGeorgian , kHangulJamo , kEthiopic , kCherokee , kUnifiedCanadianAboriginalSyllabics , kOgham , kRunic , kKhmer , kMongolian , kLatinExtendedAdditional , kGreekExtended , kGeneralPunctuation , kSuperSubScript , kCurrencySymbolScript , kSymbolCombiningMark , kLetterlikeSymbol , kNumberForm , kArrow , kMathOperator , kMiscTechnical , kControlPicture , kOpticalCharacter , kEnclosedAlphanumeric , kBoxDrawing , kBlockElement , kGeometricShape , kMiscSymbol , kDingbat , kBraillePatterns , kCJKRadicalsSupplement , kKangxiRadicals , kIdeographicDescriptionCharacters , kCJKSymbolPunctuation , kHiragana , kKatakana , kBopomofo , kHangulCompatibilityJamo , kKanbun , kBopomofoExtended , kEnclosedCJKLetterMonth , kCJKCompatibility , kCJKUnifiedIdeographsExtensionA , kCJKUnifiedIdeograph , kYiSyllables , kYiRadicals , kHangulSyllable , kHighSurrogate , kHighPrivateUseSurrogate , kLowSurrogate , kPrivateUse , kCJKCompatibilityIdeograph , kAlphabeticPresentation , kArabicPresentationA , kCombiningHalfMark , kCJKCompatibilityForm , kSmallFormVariant , kArabicPresentationB , kNoScript , kHalfwidthFullwidthForm , kScriptCount }
| Unicode script types, returned by XCharacterClassification::getScript() More...